Upload evidence text
Uploads text as evidence for a dispute.
Read our disputes guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.write scope.
POST
/accounts/{accountID}/disputes/{disputeID}/evidence-text
curl -X POST "https://api.moov.io/accounts/{accountID}/disputes/{disputeID}/evidence-text" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
--data-raw '{
"text": "string",
"evidenceType": "receipt"
}'\
mc, _ := moov.NewClient()
var accountID string
var disputeID string
mc.UploadDisputeEvidence(ctx, accountID, disputeID, moov.DisputesEvidenceText{
Text: "Strings",
EvidenceType: moov.EvidenceType_Receipt,
})
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.disputes.uploadEvidenceText({
accountID: "ed2ca924-e2c4-4f3a-b077-866bb07b0671",
disputeID: "14832e8d-3613-45ce-942e-3116b9e0d194",
createEvidenceText: {
text: "<value>",
evidenceType: "generic-evidence",
},
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
use OpenAPI\OpenAPI\Models\Components;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$createEvidenceText = new Components\CreateEvidenceText(
text: '<value>',
evidenceType: Components\EvidenceType::GenericEvidence,
);
$response = $sdk->disputes->uploadEvidenceText(
accountID: 'ed2ca924-e2c4-4f3a-b077-866bb07b0671',
disputeID: '14832e8d-3613-45ce-942e-3116b9e0d194',
createEvidenceText: $createEvidenceText
);
if ($response->evidenceTextResponse !== null) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.disputes.upload_evidence_text(account_id="ed2ca924-e2c4-4f3a-b077-866bb07b0671", dispute_id="14832e8d-3613-45ce-942e-3116b9e0d194", text="<value>", evidence_type="generic-evidence")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.components.CreateEvidenceText;
import org.openapis.openapi.models.components.EvidenceType;
import org.openapis.openapi.models.errors.GenericError;
import org.openapis.openapi.models.operations.UploadDisputeEvidenceTextResponse;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
UploadDisputeEvidenceTextResponse res = sdk.disputes().uploadEvidenceText()
.accountID("ed2ca924-e2c4-4f3a-b077-866bb07b0671")
.disputeID("14832e8d-3613-45ce-942e-3116b9e0d194")
.createEvidenceText(CreateEvidenceText.builder()
.text("<value>")
.evidenceType(EvidenceType.GENERIC_EVIDENCE)
.build())
.call();
if (res.evidenceTextResponse().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.disputes.upload_evidence_text(account_id: 'ed2ca924-e2c4-4f3a-b077-866bb07b0671', dispute_id: '14832e8d-3613-45ce-942e-3116b9e0d194', create_evidence_text: Models::Components::CreateEvidenceText.new(
text: '<value>',
evidence_type: Models::Components::EvidenceType::GENERIC_EVIDENCE,
))
unless res.evidence_text_response.nil?
# handle response
endThe resource was successfully created.
{
"evidenceID": "string",
"disputeID": "string",
"evidenceType": "receipt",
"text": "string",
"createdOn": "2019-08-24T14:15:22Z"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
disputeID
string
required
Body
application/json
evidenceType
string<enum>
required
Possible values:
receipt,
proof-of-delivery,
cancelation-policy,
terms-of-service,
customer-communication,
generic-evidence,
cover-letter,
other
text
string
<=750 characters
required
The text to associate with the dispute as evidence.
Response
createdOn
string<date-time>
required
disputeID
string
required
evidenceID
string
required
evidenceType
string<enum>
required
Possible values:
receipt,
proof-of-delivery,
cancelation-policy,
terms-of-service,
customer-communication,
generic-evidence,
cover-letter,
other
text
string
required